Skip to main content
POST
/
entities
/
site
/
{site_id}
/
enrol
Enrol Site
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/site/{site_id}/enrol \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "proposition": "cm_infrequent_dispatch",
  "override_withdrawal": false
}
'
{
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "enrolled"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

site_id
string<uuid>
required

Body

application/json

Request model for enrolling a site in a proposition.

proposition
enum<string>
required

Proposition to enrol for

Available options:
cm_infrequent_dispatch,
full_asset_schedule_control,
limited_pause,
vpp_limited_control
override_withdrawal
boolean
default:false

Set to true to re-enrol regardless of previous withdrawals.

Response

Successfully enrolled or already enrolled

Response model for the enrol endpoint.

site_id
string<uuid>
required

ID of the enrolled site

status
enum<string>
required
Available options:
enrolled,
already_enrolled